/**
 * jQuery Yii plugin file.
 *
 * @author Qiang Xue <qiang.xue@gmail.com> <- author of the original yiitab. Pablo Cianci extends the yiitab in activetabview.
 * @link http://www.yiiframework.com/
 * @copyright Copyright &copy; 2008 Yii Software LLC
 * @license http://www.yiiframework.com/license/
 * @version $Id: activetabview.js 200 2009-03-27 09:54:00Z freakpol $
 */

;(function($) {

	$.extend($.fn, {
		activetabview: function(idHiddenField) { // added a parameter to the function: the ID of the hidden fiel in wich we'll store the ID of the actual selected tab.
			
			function activate(id) {
				var $tab=$(id);
				var $container=$tab.parent();
				var $container2=$tab.parent().parent();
				
				$container.find('>ul a').removeClass('active');
				$container.find('>ul a[href="'+id+'"]').addClass('active');
				
				/* these two lines are the ones added to the original file */
				//idn = id.substr(1); // Just the name of the ID without the '#';
				$(idHiddenField).val(idn); // updates the hidden field...
				
				$container.children('div').hide();
				$tab.show();
			}

			this.find('>ul a').click(function(event) {
				activate($(event.target).attr('href'));
				if($(this).attr('href')[0]=='#')
					return false;
			});

			// activate a tab based on the current anchor
			var url = decodeURI(window.location);
			var pos = url.indexOf("#");
			if (pos >= 0) {
				var id = url.substring(pos);
				if (this.find('>ul a[href="'+id+'"]').length > 0) {
					activate(id);
					return;
				}
			}
		}
	});

})(jQuery);
